package kernel.peripherals.interfaces;

import cc.Colors.Color;
import kernel.peripherals.Redstone.BundleMask;

interface IRedstone {
	function setOutput(on:Bool):Void;
	function getOutput():Bool;
	function getInput():Bool;
	function setAnalogOutput(strength:Int):Void;
	function getAnalogOutput():Int;
	function getAnalogInput():Int;
	function setBundledOutput(output:BundleMask):Void;
	function getBundledOutput():BundleMask;
	function getBundledInput():BundleMask;
	function testBundledInput(mask:Color):Bool;
}
